import { jsx } from "react/jsx-runtime";
import { TokenGNY as TokenGNY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGNY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GNY", "data-name": "TokenGNY", ...props, children: /* @__PURE__ */ jsx(TokenGNY$1, { variant }) });
  }
);
TokenGNY.displayName = "TokenGNY";
Object.assign(TokenGNY, { isGdsIcon: true });
export {
  TokenGNY
};
